package main

import (
	"flow"
	"flow/registry"
	"log"
	"strings"
)

func main() {

	r := registry.New()
	r.Add(strings.Split, strings.Join)

	f := flow.New()
	f.UseRegistry(r)

	first := f.Op("Join",
		f.Op("Split", "hello world", " "),
		"|",
	)

	// Find a way to process this
	v := f.Var("x", first)

	opSplit := f.Op("Split", v, " ")

	opJoin := f.Op("Join", opSplit, ",")

	res, err := opJoin.Process()
	if err != nil {
		log.Fatal(err)
	}
	log.Println("res:", res)

}
